---
updatedAt: 2026-03-25T16:03:23.000Z
---

# Initiate Online Mortgage Short Lead

# Initiate Online Mortgage Short Lead

***

***

[block:html]
{
  "html": "<html>\n  <head>\n  </head>\n  <body>\n    <!-- Adding link to the button on the onclick event -->\n    <button class=\"Button_ref\" onclick=\"window.location.href = 'https://developers.tbcbank.ge/reference/online-mortgage-short-lead-api';\">\n      <> Check API Reference here\n    </button>\n  </body>\n</html>"
}
[/block]

# Request Endpoint

```http test endpoint
https://test-api.tbcbank.ge/v1/online-mortgages/short-leads
```
```http production endpoint
https://api.tbcbank.ge/v1/online-mortgages/short-leads
```

# Authorization

| Authorization Type | Description                                          |
| :----------------- | :--------------------------------------------------- |
| Bearer Token       | access-token should be added to Authorization header |

# Request Parameters

[block:parameters]
{
  "data": {
    "h-0": "Parameter",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "firstName",
    "0-1": "string",
    "0-2": "customer's first name",
    "1-0": "lastName",
    "1-1": "string",
    "1-2": "customer's surname",
    "2-0": "personalNo",
    "2-1": "string",
    "2-2": "customer's personal identity number",
    "3-0": "birthDate",
    "3-1": "date",
    "3-2": "customer's birth date in YYYY-MM-DD format",
    "4-0": "mobileNumber",
    "4-1": "string",
    "4-2": "customer's mobile number",
    "5-0": "url (required)",
    "5-1": "string",
    "5-2": "url from which the lead generation was initiated",
    "6-0": "realEstateCode",
    "6-1": "string",
    "6-2": "real estate type code.  \n  \nThe following values are allowed:  \nFLAT, PRIVATE_HOUSE, COUNTRY_HOUSE, LAND_PLOT, CELLAR, GARAGE, LOFT, COMMERCIAL_ESTATE, OTHER  \nDetails are given on <a href=\"/docs/real-estate-type-code\" target=\"_blank\">Classification Page</a>",
    "7-0": "propertyPrice",
    "7-1": "string",
    "7-2": "property price.  \nformat: 0.00",
    "8-0": "propertyPriceCurrencyCode",
    "8-1": "string",
    "8-2": "property price currency (3 digit ISO code).  \nThe following values are allowed:  \nGEL, USD, EUR",
    "9-0": "termInMonths",
    "9-1": "number (integer)",
    "9-2": "loan term in months",
    "10-0": "monthlyIncome",
    "10-1": "decimal",
    "10-2": "customer's monthly income  \nformat: 0.00",
    "11-0": "isDeveloperOffer",
    "11-1": "boolean",
    "11-2": "Is property a developer company offer (true/false)",
    "12-0": "comment",
    "12-1": "string (max. length 1200)",
    "12-2": "additional comment."
  },
  "cols": 3,
  "rows": 13,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

# Request Sample

```json
{
  "firstName": "გიორგი",
  "lastName": "გიორგაძე",
  "personalNo": "09876543211",
  "birthDate": "1990-05-01",
  "mobileNumber": "555111222",
  "url": "https://ss.ge/ka/udzravi-qoneba/iyideba-kerdzo-saxli-ortatchalashi-3554781",
  "realEstateCode": "FLAT",
  "propertyPrice": 45700,
  "propertyPriceCurrencyCode": "GEL",
  "termInMonths": 180,
  "monthlyIncome": 4500,
  "isDeveloperOffer": true,
  "comment": "DownPayment: 15600$"
}
```
```curl
curl --location --request POST "https://test-api.tbcbank.ge/v1/online-mortgages/short-leads" \
    --header "Content-Type: application/json" \
    --header "Authorization: Bearer 0070Zep1RzIfIyT0LAq0Hu7VvcaF" \
    --data "{
  \"firstName\": \"გიორგი\",
  \"lastName\": \"გიორგაძე\",
  \"personalNo\": \"09876543211\",
  \"birthDate\": \"1990-05-01\",
  \"mobileNumber\": \"555111222\",
  \"url\": \"https://ss.ge/ka/udzravi-qoneba/iyideba-kerdzo-saxli-ortatchalashi-3554781\",
  \"realEstateCode\": \"FLAT\",
  \"propertyPrice\": 45700,
  \"propertyPriceCurrencyCode\": \"GEL\",
  \"termInMonths\": 180,
  \"monthlyIncome\": 4500,
  \"isDeveloperOffer\": true,
  \"comment\": \"DownPayment: 15600$\"
}
"
```

## Response Parameters

### Response Body

response contains unique leadId of the initiated application.

| Parameter | Type          | Description                              |
| :-------- | :------------ | :--------------------------------------- |
| leadId    | string (guid) | unique identifier of mortgage short-lead |

# Response Sample

```json 201 Created
{
    "leadId": "8a8966b2-6782-4d7c-b160-8362481c24fb"
}
```

# Error Response

In case of error, the standard response in problem JSON will be returned.

> Details can be found at <a href="/docs/error-code-description" target="_blank">Error Code Description</a>.

# Recipe

[block:tutorial-tile]
{
  "backgroundColor": "#ffffff",
  "emoji": "🏘️",
  "id": "61f7de24384470005cb67c4a",
  "link": "https://developers.tbcbank.ge/v1.0/recipes/mortgage-loan-initiate-short-lead",
  "slug": "mortgage-loan-initiate-short-lead",
  "title": "Mortgage Loan Initiate short lead"
}
[/block]